## NAME

CURLMOPT_MAX_TOTAL_CONNECTIONS - max simultaneously open connections

## SYNOPSIS

#include <curl/curl.h>

CURLMcode curl_multi_setopt(CURLM *handle, CURLMOPT_MAX_TOTAL_CONNECTIONS, long amount);

## DESCRIPTION

Pass a long for the amount. The set number will be used as the maximum number of simultaneously open connections in total using this multi handle. For each new session, libcurl will open a new connection up to the limit set by CURLMOPT_MAX_TOTAL_CONNECTIONS. When the limit is reached, the sessions will be pending until there are available connections. If CURLMOPT_PIPELINING is enabled, libcurl will try to pipeline if the host is capable of it.

## DEFAULT

The default value is 0, which means that there is no limit. It is then simply controlled by the number of easy handles added.

## PROTOCOLS

All

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.30.0

## RETURN VALUE

Returns CURLM_OK if the option is supported, and CURLM_UNKNOWN_OPTION if not.

## SEE ALSO

CURLMOPT_MAXCONNECTS, CURLMOPT_MAX_HOST_CONNECTIONS

This HTML page was made with roffit.